(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("react"));
	else if(typeof define === 'function' && define.amd)
		define(["react"], factory);
	else if(typeof exports === 'object')
		exports["constants-colors"] = factory(require("react"));
	else
		root["constants-colors"] = factory(root["react"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE_0__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./example/index.js");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./example/index.js":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _swatch = __webpack_require__("./example/swatch.js");

var _swatch2 = _interopRequireDefault(_swatch);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Page = function Page() {
  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      'h1',
      null,
      'Grays'
    ),
    _react2.default.createElement(
      'div',
      { className: 'row' },
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorGrayLightest' })
      ),
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorGrayLighter' })
      ),
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorGrayLight' })
      ),
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorGrayBase' })
      ),
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorGrayDark' })
      ),
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorGrayDarker' })
      ),
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorGrayDarkest' })
      )
    ),
    _react2.default.createElement(
      'h1',
      null,
      'Blue'
    ),
    _react2.default.createElement(
      'div',
      { className: 'row' },
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorBlueLight' })
      ),
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorBlueBase' })
      ),
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorBlueDark' })
      )
    ),
    _react2.default.createElement(
      'h1',
      null,
      'Green'
    ),
    _react2.default.createElement(
      'div',
      { className: 'row' },
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorGreenLight' })
      ),
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorGreenBase' })
      ),
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorGreenDark' })
      )
    ),
    _react2.default.createElement(
      'h1',
      null,
      'Red'
    ),
    _react2.default.createElement(
      'div',
      { className: 'row' },
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorRedLight' })
      ),
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorRedBase' })
      ),
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorRedDark' })
      )
    ),
    _react2.default.createElement(
      'h1',
      null,
      'Yellow'
    ),
    _react2.default.createElement(
      'div',
      { className: 'row' },
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorYellowLight' })
      ),
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorYellowBase' })
      ),
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6 large-4' },
        _react2.default.createElement(_swatch2.default, { color: 'colorYellowDark' })
      )
    ),
    _react2.default.createElement(
      'h1',
      null,
      'Lighten/Shadow colors'
    ),
    _react2.default.createElement(
      'div',
      { className: 'row' },
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6' },
        _react2.default.createElement(_swatch2.default, { color: 'colorShadowBase' })
      ),
      _react2.default.createElement(
        'div',
        { className: 'columns medium-6' },
        _react2.default.createElement(_swatch2.default, { color: 'colorLightenBase' })
      )
    )
  );
};

Page.displayName = 'Colors example page';

exports.default = Page;
module.exports = exports['default'];

/***/ }),

/***/ "./example/styles.css":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin
module.exports = {"swatch":"_1HJ0rr67","colorBlock":"_3QSW_rQ8","undefinedColor":"_2VoBT8p1","swatchStats":"_2OomrWqI"};

/***/ }),

/***/ "./example/swatch.js":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _src = __webpack_require__("./src/index.js");

var colors = _interopRequireWildcard(_src);

var _styles = __webpack_require__("./example/styles.css");

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var Swatch = function Swatch(props) {
  var value = colors[props.color];
  var style = {
    background: value
  };

  var statsContent = '';

  if (value) {
    var isHex = value.length === 7;
    if (isHex) {
      var hex = parseInt(value.substr(1), 16);
      var r = hex >> 16 & 0xff;
      var g = hex >> 8 & 0xff;
      var b = hex & 0xff;
      statsContent = _react2.default.createElement(
        'div',
        { className: _styles.swatchStats },
        'name: ',
        props.color,
        _react2.default.createElement('br', null),
        'hex: ',
        value,
        _react2.default.createElement('br', null),
        'rgb: ',
        r,
        ' ',
        g,
        ' ',
        b
      );
    } else {
      statsContent = _react2.default.createElement(
        'div',
        { className: _styles.swatchStats },
        'name: ',
        props.color,
        _react2.default.createElement('br', null),
        'value: ',
        value,
        _react2.default.createElement('br', null)
      );
    }
  } else {
    statsContent = _react2.default.createElement(
      'div',
      { className: _styles.swatchStats },
      'name: ',
      props.color,
      _react2.default.createElement('br', null),
      'value: NOT SPECIFIED YET',
      _react2.default.createElement('br', null)
    );
  }
  return _react2.default.createElement(
    'div',
    { className: _styles.swatch },
    _react2.default.createElement('div', {
      className: _styles.colorBlock + ' ' + (value ? '' : _styles.undefinedColor),
      style: style
    }),
    statsContent
  );
};

exports.default = Swatch;
module.exports = exports['default'];

/***/ }),

/***/ "./src/index.js":
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var colorWhite = exports.colorWhite = '#FFFFFF';

// Lighten/Darken values (in rgba)
var colorLightenBase = exports.colorLightenBase = 'rgba(255, 255, 255, .5)';
var colorShadowBase = exports.colorShadowBase = 'rgba(0, 0, 0, .3)';

// Grays
var colorGrayLightest = exports.colorGrayLightest = '#FAFAFA';
var colorGrayLighter = exports.colorGrayLighter = '#E7EBEC';
var colorGrayLight = exports.colorGrayLight = '#C8C8C8';
var colorGrayBase = exports.colorGrayBase = '#828282';
var colorGrayDark = exports.colorGrayDark = '#646464';
var colorGrayDarker = exports.colorGrayDarker = '#4A4A4A';
var colorGrayDarkest = exports.colorGrayDarkest = '#000000';

// Blue
var colorBlueLight = exports.colorBlueLight = '#A0E1F6';
var colorBlueBase = exports.colorBlueBase = '#35C3EF';
var colorBlueDark = exports.colorBlueDark = '#2589A7';

// Green
var colorGreenLight = exports.colorGreenLight = '#97EBC2';
var colorGreenBase = exports.colorGreenBase = '#19D276';
var colorGreenDark = exports.colorGreenDark = '#0F9D5C';

// Red
var colorRedLight = exports.colorRedLight = '#FFADAD';
var colorRedBase = exports.colorRedBase = '#FF4848';
var colorRedDark = exports.colorRedDark = '#BA3A39';

// Yellow
var colorYellowLight = exports.colorYellowLight = '#FBE896';
var colorYellowBase = exports.colorYellowBase = '#F7CA18';
var colorYellowDark = exports.colorYellowDark = '#B5980D';

/***/ }),

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ })

/******/ });
});